mutation createClientFeedback(
  $businessId: UUID!
  $vendorId: UUID!
  $rating: Int
  $comment: String
  $date: Timestamp
  $createdBy: String
) @auth(level: USER) {
  clientFeedback_insert(
    data: {
      businessId: $businessId
      vendorId: $vendorId
      rating: $rating
      comment: $comment
      date: $date
    }
  )
}

mutation updateClientFeedback(
  $id: UUID!
  $businessId: UUID
  $vendorId: UUID
  $rating: Int
  $comment: String
  $date: Timestamp
  $createdBy: String
) @auth(level: USER) {
  clientFeedback_update(
    id: $id
    data: {
      businessId: $businessId
      vendorId: $vendorId
      rating: $rating
      comment: $comment
      date: $date
    }
  )
}

mutation deleteClientFeedback($id: UUID!) @auth(level: USER) {
  clientFeedback_delete(id: $id)
}
